Skip to main content
GET
get session transcript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Session ID

Response

Successfully retrieved transcript

sessionId
string

The session ID

personaName
string

Name of the persona in the session

startTime
string<date-time>

Session start time

endTime
string<date-time> | null

Session end time

durationMs
integer | null

Session duration in milliseconds

totalMessages
integer

Total number of messages in the transcript

transcriptsEnabled
boolean

Whether transcripts were enabled for this session. When false (sessionOptions.dataRetention.transcripts or sessionReplay.enableSessionReplay set to false), each message reads TRANSCRIPTS_DISABLED.

messages
object[]